Package com.sun.jna.platform.win32

# Class Wtsapi32.WTS_CLIENT_ADDRESS

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.Wtsapi32.WTS_CLIENT_ADDRESS

Enclosing interface:
  Wtsapi32

@FieldOrder({"AddressFamily","Address"}) public static class Wtsapi32.WTS_CLIENT_ADDRESS extends Structure
Contains the client network address of a Remote Desktop Services session.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `byte[]`
  `Address`
  `int`
  `AddressFamily`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WTS_CLIENT_ADDRESS()`
  `WTS_CLIENT_ADDRESS(Pointer p)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### AddressFamily

    public int AddressFamily

  - ### Address

    public byte[] Address

- ## Constructor Details

  - ### WTS_CLIENT_ADDRESS

    public WTS_CLIENT_ADDRESS()

  - ### WTS_CLIENT_ADDRESS

    public WTS_CLIENT_ADDRESS(Pointer p)